# rewe-debian Docker Image
This repository contains the Dockerfile and build instructions
for the rewe-debian docker (base)image. This image is part
of the image consolidation plan outlined in
https://intranet.rewe-digital.com/PI/Docker+Image+Consolidation

# Introducing a New Debian Release
If you want to introduce a new Debian release please check your doing
against the following checklist.

1. Checkout a new branch with the codename of the new Debian release based on the current release branch.
2. New branch: adjust releaseVersion variable in the Jenkinsfile
3. New branch: adjust the FROM image import in the Dockerfile
4. New branch: adjust the dspolicy.json (deckschrubber policy file) to cover the new images
5. Old branch: remove "latest" and "stable" tags form the build and push stage.
6. Old branch: remove the complete "push deckschrubber policy step" and dspolicy.json file.
7. Edit the seedjob in the jenkins_packer_base repository to build the new branch. According to the current proposal we build only one Debian release at a time.
8. Change the default branch in git.
